%define pkgname	J7Z

Name:		j7z
Version:	1.4.2
Release:	%mkrel 2
Summary:	A P7Zip GUI for Linux to simplify data compression and backup
License:	LGPLv3
Group:		Archiving/Compression
URL:		http://j7z.xavion.name/
Source:		https://downloads.sourceforge.net/k7z/%{pkgname}-%{version}-src.tar.bz2
BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	ant-apache-regexp
BuildRequires:	desktop-file-utils
BuildRequires:	java-11-openjdk-devel
BuildRequires:	kde4-macros
BuildRequires:	kf5-macros
BuildRequires:	p7zip

Requires:	p7zip
Requires:	java-11-openjdk

%description
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists

#-------------------------------------------------------------------------

%package	kde4
Summary:	KDE4 ServiceMenus for J7Z
Group:		Archiving/Compression
Requires:	%{name} = %{version}-%{release}

%description	kde4
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists

#-------------------------------------------------------------------------

%package	plasma5
Summary:	Plasma 5 ServiceMenus for J7Z
Group:		Archiving/Compression
Requires:	%{name} = %{version}-%{release}

%description	plasma5
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists

#-------------------------------------------------------------------------

%prep
%setup -q -n %{pkgname}

rm -rf Windows Build/Windows Mac Build/Mac
sed -i 's/\r//' License/*.txt

%build
pushd Build/Linux
	%make_build
popd

%install
pushd Build/Linux
	%make_install
popd

desktop-file-install \
	--vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-key=Encoding \
%{buildroot}%{_datadir}/applications/*.desktop

%files
%doc License/{GPL,J7Z,LGPL}.txt
%{_bindir}/%{pkgname}.sh
%{_datadir}/%{pkgname}/
%{_datadir}/applications/%{pkgname}.desktop
%{_iconsdir}/hicolor/16x16/actions/*.png
%{_iconsdir}/hicolor/32x32/apps/%{pkgname}.png

%files		kde4
%doc License/{GPL,J7Z,LGPL}.txt
%{_kde_services}/ServiceMenus/*.desktop

%files		plasma5
%doc License/{GPL,J7Z,LGPL}.txt
%{_kf5_services}/ServiceMenus/*.desktop


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.4.2-2.mga9
+ Revision: 1828796
- Mageia 9 Mass Rebuild

* Thu Sep 03 2020 daviddavid <daviddavid> 1.4.2-1.mga8
+ Revision: 1621277
- new version: 1.4.2 (Resolved the inability to work with Java >= v10)
- switch to JDK-11

* Fri Feb 14 2020 umeabot <umeabot> 1.4.1-2.mga8
+ Revision: 1521796
- Mageia 8 Mass Rebuild

* Wed Jan 02 2019 daviddavid <daviddavid> 1.4.1-1.mga7
+ Revision: 1348627
- new version: 1.4.1

* Wed Sep 19 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1266315
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 1033419
- new version: 1.4.0
- add Plasma 5 support
- update URL and Source URL

* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-5.mga6
+ Revision: 944215
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 745556
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 680597
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 luigiwalser <luigiwalser> 1.2.0-2.mga5
+ Revision: 659860
- switch to java-1.8.0-openjdk

* Wed Feb 19 2014 david-david <david-david> 1.2.0-1.mga5
+ Revision: 594879
- fix missing BR "kde4-macros"
- imported package j7z

